Subject: Re: [RFC PATCH] platform: Faciliatate the creation of pseduo-platform busses

From: Greg KH <[email-masked]>
Date: Tue, 10 Aug 2010 16:53:23 -0700

On Sat, Aug 07, 2010 at 11:28:13AM -0600, Grant Likely wrote:
> On Sat, Aug 7, 2010 at 12:35 AM, Grant Likely <[email-masked]> wrote:
> > On Fri, Aug 6, 2010 at 5:46 PM, Greg KH <[email-masked]> wrote:
> >> That would be nice, but take your "standard" PC today:
> >>        > ls /sys/devices/platform/
> >>        Fixed MDIO bus.0  i8042  pcspkr  power  serial8250  uevent vesafb.0
> >>
> >> There are tty devices below the serial port, which is nice to see, but
> >> the others?  I don't know what type of bus they would be on, do you?
> [...]
> > I wouldn't have any problem modifying those specific drivers to
> > register under something like /sys/devices/legacy, but I don't really
> > think it is in any way necessary.
> 
> Or for that matter, make those drivers explicitly use
> /sys/devices/platform so that I don't cause churn on PCs.  :-)  I'd
> like to be rid of it as default behaviour for embedded though.

Yes, that would be the easier (and better) solution.

thanks,

greg k-h
--
To unsubscribe from this list: send the line "unsubscribe linux-omap" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html